ECONFTOOL(8)

NAME
econftool - Configuration File Manager

SYNOPSIS
econftool COMMAND [OPTIONS] </path/to/configfile>.conf

DESCRIPTION
Tool which allows to easily manage the configuration file snippets.

COMMANDS

show
    Reads all snippets for <filename>.conf (in /usr/etc and /etc), and prints all groups,keys and their values. The root directories is /. It can be set by the environment variable $ECONFTOOL_ROOT.

cat Prints the content of the files and the name of the file in the order as it has been read.

edit
    Starts the editor $EDITOR (environment variable) where the groups, keys and values can be modified and saved afterwards. OPTIONS
     -f, --full: Copy the original configuration file to /etc instead of
                      creating drop-in files.
     --use-home: Only has an effect if the user is root.
                      Chooses the root home directory instead of /etc.

revert
    Reverts all changes to the vendor versions. Basically deletes the config file and snippet directory in /etc. OPTIONS
      -y, --yes: Assumes yes for all prompts and runs non-interactively.

general OPTIONS

--comment <character>
      Character which starts a comment. ('#' default).

--delimiters <string>
     Characters which separates key/value entries. ("=" default).
     e.g. --delimiters="= "
     e.g. --delimiters=spaces regarding all spaces

SEE ALSO

libeconf

COPYRIGHT
Copyright (c) 2021 SUSE LLC Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.